/* Mobil som standart */
.seasonal-news-section {
  display: flex;
  justify-content: center;
  padding: 40px 16px;
}

/* Kortet */
.seasonal-news-card {
  position: relative;
  display: flex;
    flex-direction: column;
  max-width: 480px;
  width: 100%;
}

/* Blob baggrunds billede mobil */
.seasonal-news-blob {
  width: 100%;
  display: block;
  margin-top: 115px;
}

/* Indholdet på kortet */
.seasonal-news-card-content {
  position: absolute;
  inset: 0;
  padding: 48px 32px 56px;
  align-items: center;
  text-align: center;
}

/* kop billedet */
.seasonal-news-cup {
  width: 90px;
  height: auto;
  margin-bottom: 24px;
}

.seasonal-news-card-content p {
  margin: 0 0 8px;
}

/* liste under nyheder */
.seasonal-news-list {
  list-style: none;
  padding: 0;
  text-align: left;
  max-width: 320px;
  list-style: none;
  margin-top: -5px;
  font-family: 'source sans 3', sans-serif;
}

/* liste elementer */
.seasonal-news-list li {
  display: flex;
  gap: 8px;
  margin-bottom: 6px;
}

/* hjerte ikon i liste */
.heart-icon {
  width: 14px;
  height: auto;
  margin-top: 3px;
}

.seasonal-news-card .button {
  margin: -120px auto 0 auto;
  width: 150px;
  padding: 10px 0;
}

/* Desktop blob baggrunds billede */
.seasonal-news-blob-desktop {
  display: none;
}

/* Tekst forside  */
.text-container {
  margin: 70px auto 20px auto;
  text-align: center;
  max-width: 330px;
}

.text-container p {
  margin: 0 0 20px 0;
}

.text-container-about {
  margin: 40px auto 0 auto;
  text-align: center;
  max-width: 50%;
}

/* Events sektion */
.event-grid {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* enkelt event kort */
.event-card {
  background-color: #FFFDF8;
  padding: 16px;
  border-radius: 20px;
  box-shadow: 0 4px 12px rgba(26,26,26,0.15);
  flex: 0 0 100%;
  max-width: 330px;
  margin: 20px auto 20px auto;
}

/* event billede */
.event-img {
  width: 100%;
  border-radius: 12px;
  margin-bottom: 12px;
}

/* event indhold */
.event-content {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

/* event titel og dato */
.event-title {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  text-align: left;
}

/* event beskrivelse */
.event-description {
  margin: 0;
}

/* events tekst på laptop */
.text-container-events {
  display: none;
}

/*Om mig*/
.text-container-about{
  margin: 70px auto 0 auto;
  text-align: center;
  max-width: 330px;
}

/* Ekstra tekst på laptop*/
#about-extra{
  display: none;
}

/* Ekstra titel på laptop*/
#about-extra-title {
  display: none;
}

/* Billede 1 mobil */
.about-me-one-mobil {
  width: 100%;
  margin: 0px auto 50px auto;
}

/* Billede 1 laptop */
.about-me-one-desktop {
  display: none;
}

/* Billede 2 mobil */
.about-me-two-mobil {
  width: 100%;
  margin: 30px auto;
}

/* Billede 2 laptop */
.about-me-two-desktop {
  display: none;
}

.text-container-shop { 
  height: 100vh; /* fylder hele højden på skærmen */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 0 20px;   
}

.text-container-shop h1 {
  color: #1a1a1a;
}

.text-container-shop p {
  margin: 0 0 30px 0;
}

@media screen and (max-width: 400px) {
  .seasonal-news-card .button {
    margin: -25px auto 0 auto;
    width: 150px;
    padding: 10px 0;
  }

  .text-container {
    margin-top: 20px;
  }
}
/* Mobil */
@media screen and (min-width: 480px) {

  .seasonal-news-blob-mobile {
    display: block;
  }

  .seasonal-news-blob-desktop {
    display: none;
  }
}


@media screen and (min-width: 768px) {
  .seasonal-news-section {
    padding: 10px;
  }

  .seasonal-news-card {
    width: 100%; /* stort kort på iPad */
    max-width: 80%;
    margin: 10px auto 0 auto;
  }

  /* brug desktop-blob på iPad */
  .seasonal-news-blob {
    display: none;
  }

  .seasonal-news-blob-desktop {
    display: block;
    width: 100%; /* fylder hele kortets bredde */
    height: auto;
    margin: 120px auto 0 auto;
    padding: 0;
  }

  .seasonal-news-card-content {
    display: flex;
    flex-direction: column;
    padding: 48px 48px 56px; 
  }

  .seasonal-news-card .button {
    width: 150px;
    padding: 10px 0;
    margin: 20px auto;
  }

  .text-container {
    margin-top: 10px;
    max-width: 50%;
  }

  .text-container p {
    margin: 0 0 30px 0;
  }

  .button {
    margin-top: 0px;
  }

  /*events iPad*/
  .event-grid {
    display: flex;
    flex-direction: row; 
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 10px;
    margin: 0 30px 0 30px; 
  }

  .event-card {
    width: calc(50% - 10px);
    margin: 0 0 10px 0;
  }

  .event-title {
    display: flex;
    flex-direction: column;
    align-items: flex-start
  }

  .text-container-events{
    display: block;
    margin: 150px auto 0 auto;
    max-width: 50%;
    text-align: center;
  }

  /*om mig ipad*/
  .text-container-about{
    margin: 50px auto 0 auto;
    text-align: center;
    max-width: 50%;
  }

  .about-me-one-mobil{
    width: 80%;
  }

  .about-me-two{
    width: 80%;
  }
}

@media screen and (min-width: 1024px) {
  .seasonal-news-card .button {
    margin: -90px auto 40px auto;
    width: 150px;
    padding: 10px 0;
  }

  .seasonal-news-card-content {
    margin: auto 70px;
  }
}

/* Desktop */
@media screen and (min-width: 1200px) {

  .seasonal-news-blob {
    display: none;
  }

  .seasonal-news-blob-desktop {
    display: block;
    width: 80%;
    height: auto;
    margin-top: 110px;
  }

  .seasonal-news-card {
    max-width: 80%;
    margin: 0 auto;
  }

  .text-container {
    margin-top: 50px;
    max-width: 50%;
  }

  /*event laptop*/
  .event-grid {
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
    margin-top: 50px;
  }

  .text-container-events {
    margin-top: 50px;
    max-width: 50%;
    text-align: center;
  }

  .event-title {
    display: flex;
    flex-direction: column;
    align-items: flex-start
  }

  /* tekst på laptop*/

  #text-container-body {
    display: none;
  }

  .text-container-about {
    display: flex;
    align-items: flex-start; 
    justify-content: center;
    align-items: center; 
    gap: 60px;
    max-width: 850px;
    margin: 70px auto 5px auto;
  }

  #about-extra-title {
    display: block;
  }

  #about-extra {
    display: block;
  }

  .about-me-one-mobil {
    display: none;
  }

  /*større billede på laptop*/
  .about-me-one-desktop {
    display: block;
  }

  .about-me-two-mobil {
    display: none;
  }

  /*større billede på laptop*/
  .about-me-two-desktop {
    display: block;
  }

}